チケット #16993

PostgreSQL 8.3.6以降でコンパイルエラーが発生する

登録: 2009-05-28 01:55 最終更新: 2009-05-28 01:59

報告者:
担当者:
(未割り当て)
チケットの種類:
状況:
オープン
コンポーネント:
(未割り当て)
マイルストーン:
(未割り当て)
優先度:
5 - 中
重要度:
5 - 中
解決法:
なし

詳細

PosgreSQL 8.3.6にてIndexBuildHeapScanの仕様が変更され、引数が増えたためにLudiaのコンパイルに失敗します。

環境:

  • Fedora Core 10
  • PostgreSQL 8.3.7
  • Ludia 1.5.2
  • gcc 4.3.2


該当箇所:


pgsenna2.c:612

  1. Datum
  2. pgs2build0(Relation heap, Relation index, IndexInfo *indexInfo, int flags, Oid oid_type)
  3. {
  4. ...
  5. reltuples = IndexBuildHeapScan(heap, index, indexInfo,
  6. buildCallback, (void *) &bs);
  7. ...

添付ファイルリスト

チケットの履歴 (3 件中 3 件表示)

2009-05-28 01:55 更新者: yuiga
  • 新しいチケット "PostgreSQL 8.3.6以降でコンパイルエラーが発生する" が作成されました
2009-05-28 01:57 更新者: yuiga
  • 添付ファイル ludia-1.5.2-postgresql-8.3.6.patch (File ID: 3721) が付加されました
2009-05-28 01:59 更新者: yuiga
コメント

Ludia-1.5.2用PosgreSQL 8.3.6以降対応パッチ(File ID: 3721)を添付します。

編集

ログインしていません。ログインしていない状態では、コメントに記載者の記録が残りません。 » ログインする